﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace SlDomAccess
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            HtmlPage.RegisterScriptableObject("ButtonUtils", this);
        }


        [ScriptableMember]
        public void SetButtonCaption(string newCaption)
        {
            myButton.Content = newCaption;
        }

        private void myButton_Click(object sender, RoutedEventArgs e)
        {
            HtmlElement myDiv  = HtmlPage.Document.GetElementById("myFirstDiv");


            myDiv.SetProperty("innerText", "Hello, from Silverlight");


            myDiv.AttachEvent("onmouseover", new EventHandler(OnMouseOverDiv));
        }

        private void OnMouseOverDiv(object sender, EventArgs e)
        {
            myButton.Content = "Event from DOM";
        }
    }
}
