﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Commanding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            CommandBinding copyBinding = new CommandBinding(
                ApplicationCommands.Copy);
            copyBinding.Executed += new ExecutedRoutedEventHandler(copyBinding_Executed);

            myList.CommandBindings.Add(copyBinding);
        }

        void copyBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Copy");
        }
    }
}
