﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SimpleSilverlightWcf
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            proxy.GetWeatherInfoCompleted += new EventHandler<SimpleSilverlightWcf.MyService.GetWeatherInfoCompletedEventArgs>(proxy_GetWeatherInfoCompleted);
        }

        void proxy_GetWeatherInfoCompleted(object sender,
            SimpleSilverlightWcf.MyService.GetWeatherInfoCompletedEventArgs e)
        {
            weatherResult.Text = e.Result;
        }

        MyService.WeatherServiceClient proxy = new SimpleSilverlightWcf.MyService.WeatherServiceClient();


        private void getButton_Click(object sender, RoutedEventArgs e)
        {
            proxy.GetWeatherInfoAsync(cityText.Text);
        }
    }
}
