﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SimpleBindinng
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        Person src = new Person { Name = "Ian", Age = 35.5 };

        ObservableCollection<Person> people = new ObservableCollection<Person>();
        public Window1()
        {
            InitializeComponent();

            people.Add(src);
            people.Add(new Person { Name = "Arthur Dent", Age = 42 });
            people.Add(new Person { Name = "Homer Simpson", Age = 38 });

            this.DataContext = people;
        }

        private void showButton_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(src.Name + " is " + src.Age, "Data");
        }

        private void getOlderButton_Click(object sender, RoutedEventArgs e)
        {
            src.Age += 0.25;

            //ageText.GetBindingExpression(TextBox.TextProperty).UpdateTarget();
        }

        private void addPersonButton_Click(object sender, RoutedEventArgs e)
        {
            people.Add(new Person { Name = "Jane Doe", Age = 0 });
        }
    }
}
